Upstream information

CVE-2009-3289 at MITRE

Description

The g_file_copy function in glib 2.0 sets the permissions of a target file to the permissions of a symbolic link (777), which allows user-assisted local users to modify files of other users, as demonstrated by using Nautilus to modify the permissions of the user home directory.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.4
Vector AV:L/AC:M/Au:N/C:P/I:P/A:P
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 538005 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11
  • glib2 >= 2.18.2-7.9.1
  • glib2-doc >= 2.18.2-7.9.1
  • glib2-lang >= 2.18.2-7.9.1
  • libgio-2_0-0 >= 2.18.2-7.9.1
  • libgio-2_0-0-32bit >= 2.18.2-7.9.1
  • libgio-2_0-0-x86 >= 2.18.2-7.7.1
  • libglib-2_0-0 >= 2.18.2-7.9.1
  • libglib-2_0-0-32bit >= 2.18.2-7.9.1
  • libglib-2_0-0-x86 >= 2.18.2-7.7.1
  • libgmodule-2_0-0 >= 2.18.2-7.9.1
  • libgmodule-2_0-0-32bit >= 2.18.2-7.9.1
  • libgmodule-2_0-0-x86 >= 2.18.2-7.7.1
  • libgobject-2_0-0 >= 2.18.2-7.9.1
  • libgobject-2_0-0-32bit >= 2.18.2-7.9.1
  • libgobject-2_0-0-x86 >= 2.18.2-7.7.1
  • libgthread-2_0-0 >= 2.18.2-7.9.1
  • libgthread-2_0-0-32bit >= 2.18.2-7.9.1
  • libgthread-2_0-0-x86 >= 2.18.2-7.7.1
Patchnames:
slessp0-glib2
SUSE Linux Enterprise Server for SAP Applications 11
  • glib2 >= 2.18.2-7.9.1
  • glib2-doc >= 2.18.2-7.9.1
  • glib2-lang >= 2.18.2-7.9.1
  • libgio-2_0-0 >= 2.18.2-7.9.1
  • libgio-2_0-0-32bit >= 2.18.2-7.9.1
  • libgio-2_0-0-x86 >= 2.18.2-7.7.1
  • libglib-2_0-0 >= 2.18.2-7.9.1
  • libglib-2_0-0-32bit >= 2.18.2-7.9.1
  • libglib-2_0-0-x86 >= 2.18.2-7.7.1
  • libgmodule-2_0-0 >= 2.18.2-7.9.1
  • libgmodule-2_0-0-32bit >= 2.18.2-7.9.1
  • libgmodule-2_0-0-x86 >= 2.18.2-7.7.1
  • libgobject-2_0-0 >= 2.18.2-7.9.1
  • libgobject-2_0-0-32bit >= 2.18.2-7.9.1
  • libgobject-2_0-0-x86 >= 2.18.2-7.7.1
  • libgthread-2_0-0 >= 2.18.2-7.9.1
  • libgthread-2_0-0-32bit >= 2.18.2-7.9.1
  • libgthread-2_0-0-x86 >= 2.18.2-7.7.1
Patchnames:
slessp0-glib2
SUSE Linux Enterprise SDK 11 GA
  • glib2-devel >= 2.18.2-7.9.1
  • glib2-doc >= 2.18.2-7.9.1
  • libgio-fam >= 2.18.2-7.9.1
sled11.x86-64
sles11.ia64
sle11-sdk.x86
sles11.s390x
sle11-sdk.ppc
sle11-sdk.s390x
sled11.x86
sles11.x86-64
sle11-sdk.x86-64
sle11-sdk.ia64
sles11.x86
sles11.ppc
SAT Patch Nr: 1831
SUSE Linux Enterprise SDK 11 GA
  • glib2-devel >= 2.18.2-7.9.1
  • libgio-fam >= 2.18.2-7.9.1
sled11.x86-64
sles11.ia64
sle11-sdk.x86
sles11.s390x
sle11-sdk.ppc
sle11-sdk.s390x
sled11.x86
sles11.x86-64
sle11-sdk.x86-64
sle11-sdk.ia64
sles11.x86
sles11.ppc
SAT Patch Nr: 1831
SUSE Linux Enterprise SDK 11 GA
  • glib2-devel >= 2.18.2-7.9.1
  • glib2-devel-32bit >= 2.18.2-7.9.1
  • libgio-fam >= 2.18.2-7.9.1
sled11.x86-64
sles11.ia64
sle11-sdk.x86
sles11.s390x
sle11-sdk.ppc
sle11-sdk.s390x
sled11.x86
sles11.x86-64
sle11-sdk.x86-64
sle11-sdk.ia64
sles11.x86
sles11.ppc
SAT Patch Nr: 1831
SUSE Linux Enterprise Desktop 11 GA
  • glib2 >= 2.18.2-7.9.1
  • glib2-devel >= 2.18.2-7.9.1
  • glib2-lang >= 2.18.2-7.9.1
  • libgio-2_0-0 >= 2.18.2-7.9.1
  • libgio-fam >= 2.18.2-7.9.1
  • libglib-2_0-0 >= 2.18.2-7.9.1
  • libgmodule-2_0-0 >= 2.18.2-7.9.1
  • libgobject-2_0-0 >= 2.18.2-7.9.1
  • libgthread-2_0-0 >= 2.18.2-7.9.1
sled11.x86-64
sles11.ia64
sle11-sdk.x86
sles11.s390x
sle11-sdk.ppc
sle11-sdk.s390x
sled11.x86
sles11.x86-64
sle11-sdk.x86-64
sle11-sdk.ia64
sles11.x86
sles11.ppc
SAT Patch Nr: 1831
SUSE Linux Enterprise Desktop 11 GA
  • glib2 >= 2.18.2-7.9.1
  • glib2-devel >= 2.18.2-7.9.1
  • glib2-lang >= 2.18.2-7.9.1
  • libgio-2_0-0 >= 2.18.2-7.9.1
  • libgio-2_0-0-32bit >= 2.18.2-7.9.1
  • libgio-fam >= 2.18.2-7.9.1
  • libglib-2_0-0 >= 2.18.2-7.9.1
  • libglib-2_0-0-32bit >= 2.18.2-7.9.1
  • libgmodule-2_0-0 >= 2.18.2-7.9.1
  • libgmodule-2_0-0-32bit >= 2.18.2-7.9.1
  • libgobject-2_0-0 >= 2.18.2-7.9.1
  • libgobject-2_0-0-32bit >= 2.18.2-7.9.1
  • libgthread-2_0-0 >= 2.18.2-7.9.1
  • libgthread-2_0-0-32bit >= 2.18.2-7.9.1
sled11.x86-64
sles11.ia64
sle11-sdk.x86
sles11.s390x
sle11-sdk.ppc
sle11-sdk.s390x
sled11.x86
sles11.x86-64
sle11-sdk.x86-64
sle11-sdk.ia64
sles11.x86
sles11.ppc
SAT Patch Nr: 1831
SUSE Linux Enterprise Server 11 GA
  • glib2 >= 2.18.2-7.9.1
  • glib2-doc >= 2.18.2-7.9.1
  • glib2-lang >= 2.18.2-7.9.1
  • libgio-2_0-0 >= 2.18.2-7.9.1
  • libglib-2_0-0 >= 2.18.2-7.9.1
  • libgmodule-2_0-0 >= 2.18.2-7.9.1
  • libgobject-2_0-0 >= 2.18.2-7.9.1
  • libgthread-2_0-0 >= 2.18.2-7.9.1
sled11.x86-64
sles11.ia64
sle11-sdk.x86
sles11.s390x
sle11-sdk.ppc
sle11-sdk.s390x
sled11.x86
sles11.x86-64
sle11-sdk.x86-64
sle11-sdk.ia64
sles11.x86
sles11.ppc
SAT Patch Nr: 1831
SUSE Linux Enterprise Server 11 GA
  • glib2 >= 2.18.2-7.9.1
  • glib2-doc >= 2.18.2-7.9.1
  • glib2-lang >= 2.18.2-7.9.1
  • libgio-2_0-0 >= 2.18.2-7.9.1
  • libgio-2_0-0-x86 >= 2.18.2-7.9.1
  • libglib-2_0-0 >= 2.18.2-7.9.1
  • libglib-2_0-0-x86 >= 2.18.2-7.9.1
  • libgmodule-2_0-0 >= 2.18.2-7.9.1
  • libgmodule-2_0-0-x86 >= 2.18.2-7.9.1
  • libgobject-2_0-0 >= 2.18.2-7.9.1
  • libgobject-2_0-0-x86 >= 2.18.2-7.9.1
  • libgthread-2_0-0 >= 2.18.2-7.9.1
  • libgthread-2_0-0-x86 >= 2.18.2-7.9.1
sled11.x86-64
sles11.ia64
sle11-sdk.x86
sles11.s390x
sle11-sdk.ppc
sle11-sdk.s390x
sled11.x86
sles11.x86-64
sle11-sdk.x86-64
sle11-sdk.ia64
sles11.x86
sles11.ppc
SAT Patch Nr: 1831
SUSE Linux Enterprise Server 11 GA
  • glib2 >= 2.18.2-7.9.1
  • glib2-doc >= 2.18.2-7.9.1
  • glib2-lang >= 2.18.2-7.9.1
  • libgio-2_0-0 >= 2.18.2-7.9.1
  • libgio-2_0-0-32bit >= 2.18.2-7.9.1
  • libglib-2_0-0 >= 2.18.2-7.9.1
  • libglib-2_0-0-32bit >= 2.18.2-7.9.1
  • libgmodule-2_0-0 >= 2.18.2-7.9.1
  • libgmodule-2_0-0-32bit >= 2.18.2-7.9.1
  • libgobject-2_0-0 >= 2.18.2-7.9.1
  • libgobject-2_0-0-32bit >= 2.18.2-7.9.1
  • libgthread-2_0-0 >= 2.18.2-7.9.1
  • libgthread-2_0-0-32bit >= 2.18.2-7.9.1
sled11.x86-64
sles11.ia64
sle11-sdk.x86
sles11.s390x
sle11-sdk.ppc
sle11-sdk.s390x
sled11.x86
sles11.x86-64
sle11-sdk.x86-64
sle11-sdk.ia64
sles11.x86
sles11.ppc
SAT Patch Nr: 1831
openSUSE 11.1
  • glib2-debuginfo >= 2.18.2-5.4.1
  • glib2-debuginfo-32bit >= 2.18.2-5.4.1
  • glib2-debuginfo-64bit >= 2.18.2-5.4.1
  • glib2-debugsource >= 2.18.2-5.4.1
openSUSE 11.1
  • glib2 >= 2.18.2-5.4.1
  • glib2-branding-upstream >= 2.18.2-5.4.1
  • glib2-devel >= 2.18.2-5.4.1
  • glib2-doc >= 2.18.2-5.4.1
  • glib2-lang >= 2.18.2-5.4.1
  • libgio-2_0-0 >= 2.18.2-5.4.1
  • libgio-2_0-0-32bit >= 2.18.2-5.4.1
  • libgio-2_0-0-64bit >= 2.18.2-5.4.1
  • libgio-fam >= 2.18.2-5.4.1
  • libglib-2_0-0 >= 2.18.2-5.4.1
  • libglib-2_0-0-32bit >= 2.18.2-5.4.1
  • libglib-2_0-0-64bit >= 2.18.2-5.4.1
  • libgmodule-2_0-0 >= 2.18.2-5.4.1
  • libgmodule-2_0-0-32bit >= 2.18.2-5.4.1
  • libgmodule-2_0-0-64bit >= 2.18.2-5.4.1
  • libgobject-2_0-0 >= 2.18.2-5.4.1
  • libgobject-2_0-0-32bit >= 2.18.2-5.4.1
  • libgobject-2_0-0-64bit >= 2.18.2-5.4.1
  • libgthread-2_0-0 >= 2.18.2-5.4.1
  • libgthread-2_0-0-32bit >= 2.18.2-5.4.1
  • libgthread-2_0-0-64bit >= 2.18.2-5.4.1
openSUSE 11.0
  • glib2-debuginfo >= 2.16.3-20.8
  • glib2-debugsource >= 2.16.3-20.8
openSUSE 11.0
  • glib2 >= 2.16.3-20.8
  • glib2-branding-upstream >= 2.16.3-20.8
  • glib2-devel >= 2.16.3-20.8
  • glib2-devel-64bit >= 2.16.3-20.8
  • glib2-doc >= 2.16.3-20.8
  • libgio-2_0-0 >= 2.16.3-20.8
  • libgio-2_0-0-32bit >= 2.16.3-20.8
  • libgio-2_0-0-64bit >= 2.16.3-20.8
  • libgio-fam >= 2.16.3-20.8
  • libglib-2_0-0 >= 2.16.3-20.8
  • libglib-2_0-0-32bit >= 2.16.3-20.8
  • libglib-2_0-0-64bit >= 2.16.3-20.8
  • libgmodule-2_0-0 >= 2.16.3-20.8
  • libgmodule-2_0-0-32bit >= 2.16.3-20.8
  • libgmodule-2_0-0-64bit >= 2.16.3-20.8
  • libgobject-2_0-0 >= 2.16.3-20.8
  • libgobject-2_0-0-32bit >= 2.16.3-20.8
  • libgobject-2_0-0-64bit >= 2.16.3-20.8
  • libgthread-2_0-0 >= 2.16.3-20.8
  • libgthread-2_0-0-32bit >= 2.16.3-20.8
  • libgthread-2_0-0-64bit >= 2.16.3-20.8


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 GA glib2 Released
SUSE Linux Enterprise SDK 11 GA glib2 Released
SUSE Linux Enterprise Server 11 GA glib2 Released